locked
我的win8.1x64顯示遺失msvcr100.dll RRS feed

  • 問題

  • 我的win8.1x64顯示遺失msvcr100.dll,但在system32卻找到,該怎麽辦?THX
    • 已移動 AskaSu 2014年8月10日 下午 04:17
    2014年8月8日 上午 03:22

解答

  • Hi sheila0731

    原始安裝完成的Windows 8.1是沒有msvcr100.dll這個檔案的,

    是透過"Microsoft Visual C++ 2010 可轉散發套件"安裝後才會有的,

    您可以將"Microsoft Visual C++ 2010 可轉散發套件"先解除安裝後,

    再透過以下網址下載安裝即可

    Microsoft Visual C++ 2010 可轉散發套件 (x64)

    • 已標示為解答 sheila0731 2014年8月12日 上午 02:34
    2014年8月11日 上午 04:57

所有回覆

  • Hi sheila0731

    你可以試著嚐試重新註冊試試看

    01. 開啟命令提示字元

    02. 輸入 cd\ enter

    03. 輸入 cd windows\system32\ enter

    04. 輸入 regsvr32 msvcr100.dll enter

    05. 重新開機

    看看這樣子是否可以註冊成功

    2014年8月8日 上午 06:07
  • 輸入后電腦彈出:

    模組msvcr100.dll 已經載入,但是找不到進入點

    DllRegisterServer

    請確定msvcr100.dll 爲有效的DLL或OCX檔,然後再試一次

    2014年8月9日 上午 02:02
  • Hi sheila0731

    原始安裝完成的Windows 8.1是沒有msvcr100.dll這個檔案的,

    是透過"Microsoft Visual C++ 2010 可轉散發套件"安裝後才會有的,

    您可以將"Microsoft Visual C++ 2010 可轉散發套件"先解除安裝後,

    再透過以下網址下載安裝即可

    Microsoft Visual C++ 2010 可轉散發套件 (x64)

    • 已標示為解答 sheila0731 2014年8月12日 上午 02:34
    2014年8月11日 上午 04:57
  • 請問喬治哥,我是 win server 20008 r2 64bit 標準版

    安裝php環境也是遇到遺失這個.dll 我08 10版的c++轉發套件都安裝完成了,可是還是會出現....

    還有解嗎~"~
    2015年5月6日 上午 05:14
  • Hi jack111222

    會建議您先確認您的PHP安裝需求的Microsoft Visual C++ 是哪一些,將所有的Microsoft Visual C++ 解除安裝後,再依照軟體需求重新安裝一次,重複進行安裝而沒有移除,有時候遺失檔案還是不會安裝回來。


    請記得將對您有幫助的回覆"標示為解答"以幫助其他尋找解答及參與社群討論的朋友們。

    Please remember to click Mark as Answer on the post that helps you. This can be beneficial to other community members reading the thread.

    2015年5月6日 上午 06:19
  • 謝謝喬治哥,我把最後Microsoft  Visual C++  2014 64bit 安裝後就沒問題了

    也對,裝PHP 5.6的 2008 10 的C++怎麼能compiler 真是在耍蠢~_~"
    2015年5月6日 上午 08:56
  • 謝謝喬治哥,我把最後Microsoft  Visual C++  2014 64bit 安裝後就沒問題了

    也對,裝PHP 5.6的 2008 10 的C++怎麼能compiler 真是在耍蠢~_~"

    如果是要在 Windows 的 IIS 佈署使用 PHP,
    請參考官方文件安裝對應的 VC 版本
    Build your own PHP on Windows

    該頁面的「Requirements」中有提到
    「 Visual C++ 6.0 for PHP 5.2
    Visual C++ 9.0 (Visual Studio 2008 or Visual C++ 2008) for PHP 5.3 and 5.4.  You can use the Express versions as well.
    Visual C++ 11.0 (Visual Studio 2012) for PHP 5.5+.  You can use the Express versions as well」


    蘇老碎碎念
    資訊無涯,回頭已不見岸
    Facebook - 微軟台灣官方論壇愛好者俱樂部
    如何在論壇正確發問,請參考iThome的文章: 如何問到我要的答案


    • 已編輯 AskaSu 2015年5月6日 上午 09:46
    2015年5月6日 上午 09:46